#
# spec file for package python-crumbs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-crumbs
Version:        1.2.0
Release:        1.1
Summary:        Generalized all-in-one parameters module
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/alunduil/crumbs
Source:         https://pypi.python.org/packages/source/c/crumbs/crumbs-%{version}.tar.gz
BuildRequires:  python-argparse
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-pyinotify
BuildRequires:  python-setuptools
Requires:       python-argparse
Requires:       python-pyinotify
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package provides a single interface to environment variables', 
configuration files', and command line arguments' provided values.  The 
dictionary-like interface makes interacting with these, most of the time 
disparate, resources much simpler.  It also allows parameters' values to be set
in any of the three sources and selects an appropriate value when a parameter's
value is specified in multiple sources.  This way the most expected value,
according to the normal prcedence—command line arguments then configuration 
files then environment variables, is always returned.

%prep
%setup -q -n crumbs-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# we will put this in the right place ourselves
rm -rf %{buildroot}/%{_datadir}/doc/crumbs-*

%check
nosetests

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/crumbs/
%{python_sitelib}/crumbs-%{version}-py*.egg-info

%changelog
* Mon Jul 14 2014 toddrme2178@gmail.com
- - Initial version
